McastServiceImpl.RecoveryThread (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.membership, class: McastServiceImpl, class: RecoveryThread

# Class McastServiceImpl.RecoveryThread

java.lang.Object
java.lang.Thread
org.apache.catalina.tribes.membership.McastServiceImpl.RecoveryThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `McastServiceImpl`

protected static class McastServiceImpl.RecoveryThread extends Thread

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecoveryThread(McastServiceImpl parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `recover(McastServiceImpl parent)`
  `void`
  `run()`
  `boolean`
  `startService()`
  `boolean`
  `stopService()`

  ### Methods inherited from class Thread

  `activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RecoveryThread

    public RecoveryThread(McastServiceImpl parent)

- ## Method Details

  - ### recover

    public static void recover(McastServiceImpl parent)

  - ### stopService

    public boolean stopService()

  - ### startService

    public boolean startService()

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`